;*************************************************
; xy_2.ncl
;*************************************************
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;*************************************************
begin
begin
  xi = (/  0.00,   2.00,   5.00,   8.00,  10.00,  13.00,     \
          15.00,  18.00,  21.00,  23.00,  30.00         /)
  yi = (/  1.00,   0.81,   0.00,  -0.81,  -1.00,  -0.84,     \
          -0.56,   0.04,   0.73,   1.18,   2.0          /)

  npts = 201
  xo   = fspan(0.,30.,npts)

  yo = ftcurvs(xi, yi, 0.1, xo)

  print(xo)
end
; create plot
;**************************************************
  wks = gsn_open_wks("ps","test")        ; Open an ps workstation.
  res                 = True                       ; plot mods desired
;  plot = new(2,graphic)       
  plot = gsn_csm_xy(wks,xi,yi,res)               ; Draw an XY plot with 1 curve.
; plot = gsn_csm_xy(wks,xo,yo,res)               ; Draw an XY plot with 1 curve.
;  gsn_panel(wks,plot,(/2,1/),False)             ; now draw as one plot

end

